Loading...
Searching...
No Matches
BALL::SmartsMatcher::RecStructPool_ Class Reference

class which does the pool operations of the RecStructCore_ pool More...

`#include <BALL/STRUCTURE/smartsMatcher.h>`

## Public Member Functions

| RecStructPool_ ()
| default constructors
virtual | ~RecStructPool_ ()
| destructor
RecStructCore_ * | getNextFree ()
| returns the a free RecStructCore_ of the pool (creates new ones if needed)
Position | getLastPosition ()
| returns the position of the last RecStructCore_* from getNextFree()
void | destroy (Position pos)
| frees the structure at position pos

## Detailed Description

class which does the pool operations of the RecStructCore_ pool

Definition at line 153 of file smartsMatcher.h.

## Constructor & Destructor Documentation

## RecStructPool_()

BALL::SmartsMatcher::RecStructPool_::RecStructPool_ | ( |  | ) |

default constructors

## ~RecStructPool_()

virtual BALL::SmartsMatcher::RecStructPool_::~RecStructPool_ | ( |  | ) |

virtual

destructor

## Member Function Documentation

## destroy()

void BALL::SmartsMatcher::RecStructPool_::destroy | ( | Position | pos | ) |

frees the structure at position pos

## getLastPosition()

Position BALL::SmartsMatcher::RecStructPool_::getLastPosition | ( |  | ) |

returns the position of the last RecStructCore_* from getNextFree()

## getNextFree()

RecStructCore_ * BALL::SmartsMatcher::RecStructPool_::getNextFree | ( |  | ) |

returns the a free RecStructCore_ of the pool (creates new ones if needed)